<div class="card mb-4">
  <img *ngIf="fanfic.image" class="card-img-top" src="{{ fanfic.image }}" alt="{{ fanfic.title }}">
  <div class="card-body">
    <h2 class="card-title">{{ fanfic.title }}</h2>
    <p class="card-text">{{ fanfic.description }}</p>
    <a routerLink="/fanfic/get/{{fanfic.id}}" class="btn btn-primary">Read More &rarr;</a>
  </div>
  <div class="card-footer text-muted">
    Posted on {{ fanfic.createdAt | date:'MMMM d, yyyy' }}
    <div class="float-right" *ngIf="fanfic.rating !== 0">
      <i class="fa fa-star"></i>
      {{ fanfic.rating | number:'1.1-1'}}
    </div>
  </div>
</div>
